#include <Servo.h> //Library for controlling the position of the servo

Servo servo ;

int eastLDR = 0;//Analog pin A0
int westLDR = 1;//Analog pin A1
int LDR1 = 0;//LDR at the east side of the solar panel
int LDR2 = 0;//LDR at the west side of the solar panel
int error = 0;
int calibration1 = 0;//Only change if you are using 2 different types of LDR's and want to calibrate manually
int calibration2 = 0;//Only change if you are using 2 different types of LDR's and want to calibrate manually
int servoposition = 90;//Solar panel should face straight up when servo position is 90
void setup()

{
  servo.attach(9);//Attach the servo to the PWM pin for position control.
}

void loop()
{
  LDR1 = calibration1 + analogRead(eastLDR);//Reads the analog value of the LDR and adjusts accordingly with the calibration value selected. 
  LDR2 = calibration2 + analogRead(westLDR);
  if (LDR1 < 350 && LDR2 < 350)
  {
    while (servoposition <= 150)
    {
      servoposition++;
      servo.write(servoposition);
      delay(100);
    }
  }
  error = LDR1 - LDR2;//Calculates the difference between the LDR readings, you can change the error range if the device is too sensitive.
  if (error > 15)
  {
    if (servoposition <= 150)
    {
      servoposition++;
      servo.write(servoposition);
    }
  }
  else if (error < -15)
  {
    if (servoposition > 20)
    {
      servoposition--;
      servo.write(servoposition);
    }
  }
  delay(100);
}